CanonicalizationMethod (Java Platform SE 8 )
Keywords: javax.xml.crypto.dsig.CanonicalizationMethod interface
Date: 2023-01-18

compact3
javax.xml.crypto.dsig

## Interface CanonicalizationMethod

- All Superinterfaces:
    AlgorithmMethod, Transform, XMLStructure

      public interface CanonicalizationMethod
      extends Transform

  A representation of the XML `CanonicalizationMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

         <element name="CanonicalizationMethod" type="ds:CanonicalizationMethodType"/>
           <complexType name="CanonicalizationMethodType" mixed="true">
             <sequence>
               <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
                 <!-- (0,unbounded) elements from (1,1) namespace -->
             </sequence>
             <attribute name="Algorithm" type="anyURI" use="required"/>
           </complexType>

  A `CanonicalizationMethod` instance may be created by invoking the `newCanonicalizationMethod` method of the `XMLSignatureFactory` class.
  Since:
    1.6
  See Also:
    `XMLSignatureFactory.newCanonicalizationMethod(String, C14NMethodParameterSpec)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXCLUSIVE` The Exclusive Canonical XML (without comments) canonicalization method algorithm URI.
    `static String` | `EXCLUSIVE_WITH_COMMENTS` The Exclusive Canonical XML with comments canonicalization method algorithm URI.
    `static String` | `INCLUSIVE` The Canonical XML (without comments) canonicalization method algorithm URI.
    `static String` | `INCLUSIVE_WITH_COMMENTS` The Canonical XML with comments canonicalization method algorithm URI.

    - ### Fields inherited from interface javax.xml.crypto.dsig.Transform

      `BASE64, ENVELOPED, XPATH, XPATH2, XSLT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmParameterSpec` | `getParameterSpec()` Returns the algorithm-specific input parameters associated with this `CanonicalizationMethod`.

    - ### Methods inherited from interface javax.xml.crypto.dsig.Transform

      `transform, transform`

    - ### Methods inherited from interface javax.xml.crypto.XMLStructure

      `isFeatureSupported`

    - ### Methods inherited from interface javax.xml.crypto.AlgorithmMethod

      `getAlgorithm`

- - ### Field Detail

    - #### INCLUSIVE

          static final String INCLUSIVE

      The Canonical XML (without comments) canonicalization method algorithm URI.
      See Also:
        Constant Field Values

    - #### INCLUSIVE_WITH_COMMENTS

          static final String INCLUSIVE_WITH_COMMENTS

      The Canonical XML with comments canonicalization method algorithm URI.
      See Also:
        Constant Field Values

    - #### EXCLUSIVE

          static final String EXCLUSIVE

      The Exclusive Canonical XML (without comments) canonicalization method algorithm URI.
      See Also:
        Constant Field Values

    - #### EXCLUSIVE_WITH_COMMENTS

          static final String EXCLUSIVE_WITH_COMMENTS

      The Exclusive Canonical XML with comments canonicalization method algorithm URI.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParameterSpec

          AlgorithmParameterSpec getParameterSpec()

      Returns the algorithm-specific input parameters associated with this `CanonicalizationMethod`.

      The returned parameters can be typecast to a `C14NMethodParameterSpec` object.

      Specified by:
        `getParameterSpec` in interface `AlgorithmMethod`
      Specified by:
        `getParameterSpec` in interface `Transform`
      Returns:
        the algorithm-specific input parameters (may be `null` if not specified)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.